#!/usr/bin/env ruby

require 'textgen.rb'

strings = {
    "m_rdthis" => "Read this!",
    "m_option" => "Options",
    "m_quitg" => "Quit Game",
    "m_ngame" => "New Game",
    "m_endgam" => "End Game",
    "m_pause" => "Pause",
    "m_messg" => "Messages: ",
    "m_msgon" => "on",
    "m_msgoff" => "off",
    "m_episod" => "Which Episode?",
    "m_epi1" => "Knee-Deep in the Dead",
    "m_epi2" => "The Shores of Hell",
    "m_epi3" => "Inferno",
    "m_hurt" => "Hurt me plenty.",
    "m_jkill" => "I'm too young to die.",
    "m_rough" => "Hey, not too rough.",
    "m_skill" => "Choose skill level:",
    "m_newg" => "NEW GAME",
    "m_ultra" => "Ultra-Violence.",
    "m_nmare" => "Nightmare!",
    "m_svol" => "Sound Volume",
    "m_optttl" => "OPTIONS",
    "m_saveg" => "Save game",
    "m_loadg" => "Load game",
    "m_disp" => "Display", 
    "m_msens" => "Mouse sensitivity",
    "m_gdhigh" => "high",
    "m_gdlow" => "low",
    "m_detail" => "Graphic Detail:",
    "m_disopt" => "DISPLAY OPTIONS",
    "m_scrnsz" => "Screen Size",
    "m_sgttl" => "SAVE GAME",
    "m_lgttl" => "LOAD GAME",
    "m_sfxvol" => "Sfx Volume",
    "m_musvol" => "Music Volume",
}

Dir.mkdir("english")
Dir.mkdir("english/graphics")

strings.each_pair do |key, value|
    img = gen_text(value)
    img.write("english/graphics/" + key + ".gif")
end

File.open("english/wadinfo.txt", 'w') do |file|
    file.puts "[graphics]"

    for k in strings.keys
        file.puts k
    end
end



